import { OnChanges, SimpleChanges } from '@angular/core';
import { Q } from '@luotao/xunee';
export declare class KengicQuneeOverviewComponent implements OnChanges {
    /** 面板是否收起 */
    collapsed: boolean;
    /** 酷利元素ID */
    eid: string;
    graph: Q.Graph | null;
    private overview;
    /**
     * 预览面板元素ID
     */
    get overviewPanelId(): string;
    ngOnChanges(simpleChanges: SimpleChanges): void;
    /**
     * 收起或者展开面板
     */
    toggleCollapsed(): void;
    /**
     * 加载预览面板
     */
    private init;
}
